%global python3_pkgversion 3.11
Name:           python-jaraco-test
Version:        5.4.0
Release:        2.ac16.py3.11%{?dist}
Summary:        Testing support by jaraco
License:        MIT
URL:            https://github.com/jaraco/jaraco.test
Source:         %{pypi_source jaraco.test}

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
# Pytest is all we need from the long list of
# testing dependencies upstream.
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-test

%global _description %{expand:
Testing support by jaraco.}

%description %_description

%package -n     python%{python3_pkgversion}-jaraco-test
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-test

%description -n python%{python3_pkgversion}-jaraco-test %_description


%prep
%autosetup -p1 -n jaraco.test-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jaraco


%check
%pytest


for b in $(find %{buildroot}%{_bindir}/ -type f) ; do mv "$b" $(sed -re "s|(.*)$|\1-%{python3_pkgversion}|"<<<"$b"); done
for m in $(find %{buildroot}%{_mandir}/ -type f) ; do mv "$m" $(sed -re "s|(.*).([1-8])(.*)$|\1-%{python3_pkgversion}.\2\3|"<<<"$m"); done
for m in $(find %{buildroot}%{_datadir}/locale/* -type f) ; do mv "$m" $(sed -re "s|(.*).mo$|\1-%{python3_pkgversion}.mo|"<<<"$m"); done
for l in $(find %{buildroot}/usr/lib64/lib* -type f -o -type l) ; do mv "$l" $(sed -re "s|(.*).so(.*)$|\1-py%{python3_pkgversion}.so\2|"<<<"$l"); done
for p in $(find %{buildroot}/usr/lib64/pkgconfig/* -type f) ; do mv "$p" $(sed -re "s|(.*).pc$|\1-py%{python3_pkgversion}.pc|"<<<"$p"); done
%files -n python%{python3_pkgversion}-jaraco-test -f %{pyproject_files}
%doc README.rst

%changelog
* Mon May 20 2024 Ding-Yi Chen <dingyichen@gmail.com> -  5.4.0-2.ac16.py3.11
 - Cut corner packaging
